Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<ImageName("BO_Report")> _
<DeferredDeletion(False)> _
Public Class VATReportGroup
    Inherits BaseObject
    Private _PartnerType As ePartnerType
    Private _VATReport As VATReport
    Private _VAT As VAT 'ÁFA kódja
    Private _AmountVATOut As Double 'Értékesítést terhelő ÁFA
    Private _AmountVATIn As Double 'Beszerzést terhelő ÁFA
    Private _AmountVATOutBase As Double 'Értékesítést terhelő ÁFA alap
    Private _AmountVATInBase As Double 'Beszerzést terhelő ÁFA alap



    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("VATReport-VATReportGroup", GetType(VATReport))> _
    Property VATReport As VATReport
        Get
            Return _VATReport
        End Get
        Set(ByVal value As VATReport)
            SetPropertyValue("VATReport", _VATReport, value)
        End Set
    End Property
    Property PartnerType As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(ByVal value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(ByVal value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    Property AmountVATOut As Double
        Get
            Return _AmountVATOut
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATOut", _AmountVATOut, value)
        End Set
    End Property
    Property AmountVATIn As Double
        Get
            Return _AmountVATIn
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATIn", _AmountVATIn, value)
        End Set
    End Property
    Property AmountVATOutBase As Double
        Get
            Return _AmountVATOutBase
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATOutBase", _AmountVATOutBase, value)
        End Set
    End Property
    Property AmountVATInBase As Double
        Get
            Return _AmountVATInBase
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATInBase", _AmountVATInBase, value)
        End Set
    End Property

End Class

